Bug 232546 - www/firefox-esr: 60.3.0,1 fails with linker_error with TEST=on
Summary: www/firefox-esr: 60.3.0,1 fails with linker_error with TEST=on
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gecko mailing list
URL:
Keywords: needs-patch
Depends on: 235300
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-22 21:09 UTC by p5B2E9A8F
Modified: 2019-03-20 01:09 UTC (History)
3 users (show)

See Also:
jbeich: maintainer-feedback+


Attachments
Poudriere log file (20.04 KB, text/plain)
2018-10-22 21:09 UTC, p5B2E9A8F
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description p5B2E9A8F 2018-10-22 21:09:35 UTC
Created attachment 198482 [details]
Poudriere log file

With TEST=on: Build and/or run tests
build fails with linker_error. See attachment.
Comment 1 Tobias Kortkamp freebsd_committer 2018-10-22 21:29:45 UTC
Invite maintainer again.  Please format the bug title like
"$origin: $summary" (*not* "$origin-$version: $summary"), so
that Bugzilla's auto-assigner can work correctly.
Comment 2 Walter Schwarzenfeld freebsd_triage 2018-10-22 21:39:03 UTC
Looks like:

NOT_FOR_ARCHS_REASON_i386=Uses 64 bit atomics that clang cannot generate on i386....
Comment 3 Jan Beich freebsd_committer 2018-10-22 22:28:17 UTC
Requires fixing configure to detect -latomic as being required with Clang. Adding USES=fortran after that will adjust LDFLAGS to where libatomic is located.
Comment 4 Jan Beich freebsd_committer 2019-03-09 21:36:41 UTC
Upstream bug is fixed in Firefox 66.